package com.spring.series.jdbc.utils;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;

import com.spring.series.jdbc.model.Player;

public class PlayerRowMapper implements RowMapper<Player> {

	public Player mapRow(ResultSet resultSet, int rowNumber) throws SQLException {
		Player player = new Player();
		player.setPlayerId(resultSet.getInt("PLAYER_ID"));
		player.setName(resultSet.getString("NAME"));
		player.setAge(resultSet.getInt("AGE"));
		player.setMatches(resultSet.getInt("MATCHES"));
		return player;
	}
}